#!/bin/sh
#
# autogen.sh
#
# script from Joo Martin for the source package of dvdauthor
# to create all configure files for compiling ( 2009-12-28 )


#VERB="--verbose"

if [ -f configure.ac ]; then
	echo "start 'autogen.sh' for dvdauthor:"
	[ -d .git ] && rm -rf .git
	[ -d autotools ] && rm -rf autotools
	
	echo "execute aclocal ...    (creating aclocal.m4)"
	aclocal $VERB
	
	echo "execute autoheader ... (creating config.h.in)"
	autoheader $VERB
	
	# fix rpath problem
	[ -d autotools ] || mkdir autotools
	cp /usr/share/gettext/config.rpath autotools/  || exit 1
	
	echo "execute automake ...   (creating Makefile.in)"
	automake $VERB --add-missing --copy --gnu
	
	echo "execute autoconf ...   (creating configure)"
	autoconf $VERB
	
	(cd src; flex -s -B -Cem -odvdvml.c -Pdvdvm dvdvml.l)
	(cd src; bison -o dvdvmy.c -d -p dvdvm dvdvmy.y)

	[ -d autom4te.cache ] && rm -rf autom4te.cache
	[ -f config.h.in~ ] && rm -f config.h.in~
	[ -f src/config.h.in~ ] && rm -f src/config.h.in~
	
	echo "ready - now you can start ./configure"

else
	echo "file configure.ac not found - abort!"
fi

echo

# EOF
